pageextension 50100 ProducePostingRule extends "DLGFF Produce Posting Rules"
{
    layout
    {
        addafter("Trade Account")
        {
            field("Sell-to Customer No."; Rec."Sell-to Customer No.")
            {
                ApplicationArea = All;
                enabled = (Rec."Movement Detail" = Rec."Movement Detail"::SalesShipment);
            }
            field("Ship-to Code"; Rec."Ship-to Code")
            {
                ApplicationArea = All;
                enabled = (Rec."Movement Detail" = Rec."Movement Detail"::SalesShipment) AND (Rec."Sell-to Customer No." <> '');
            }
        }
    }
}
