tableextension 50100 ProducePostingRule extends "DLGFF Produce Posting Rule"
{
    fields
    {
        field(50100; "Sell-to Customer No."; Code[20])
        {
            Caption = 'Sell-to Customer No.';
            DataClassification = CustomerContent;
            TableRelation = "Customer"."No.";
        }
        field(50101; "Ship-to Code"; Code[20])
        {
            Caption = 'Ship-to Code';
            DataClassification = CustomerContent;
            TableRelation = "Ship-to Address".code where("Customer No."=field("Sell-to Customer No."));
        }
    }
}
